#include <omp.h>
#include <stdio.h>
int main() {
    int count = 0;

    #pragma omp parallel for num_threads(5)
    for (int i = 0; i < 100000; i++) {
        count++;  // Potential race condition
//  printf("THread Num:%d\n",omp_get_thread_num());
    
}    
printf("Final count: %d\n", count);
//int x = 2;
  //  #pragma omp parallel num_threads(6)
    //{
     //   int threadId = omp_get_thread_num();
//
  //      if (threadId == 0)
    //        x = 5;
      //  else
        //    printf("I am Thread %d and for me x=%d \n", threadId, x);
   // }

    return 0;
}	
